## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util
Class ImperativeOCLAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util.ImperativeOCLAdapterFactory

    public class ImperativeOCLAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `ImperativeOCLPackage`

Field Summary
`protected static ImperativeOCLPackage` `modelPackage` The cached model package
`protected ImperativeOCLSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`ImperativeOCLAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createAltExpAdapter()` Creates a new adapter for an object of class '`Alt Exp`'
`Adapter` `createAssertExpAdapter()` Creates a new adapter for an object of class '`Assert Exp`'
`Adapter` `createAssignExpAdapter()` Creates a new adapter for an object of class '`Assign Exp`'
`Adapter` `createASTNodeAdapter()` Creates a new adapter for an object of class '`AST Node`'
`Adapter` `createBlockExpAdapter()` Creates a new adapter for an object of class '`Block Exp`'
`Adapter` `createBreakExpAdapter()` Creates a new adapter for an object of class '`Break Exp`'
`Adapter` `createCallExpAdapter()` Creates a new adapter for an object of class '`Call Exp`'
`Adapter` `createCallingASTNodeAdapter()` Creates a new adapter for an object of class '`Calling AST Node`'
`Adapter` `createCatchExpAdapter()` Creates a new adapter for an object of class '`Catch Exp`'
`Adapter` `createCollectionTypeAdapter()` Creates a new adapter for an object of class '`Collection Type`'
`Adapter` `createComputeExpAdapter()` Creates a new adapter for an object of class '`Compute Exp`'
`Adapter` `createContinueExpAdapter()` Creates a new adapter for an object of class '`Continue Exp`'
`Adapter` `createDictionaryTypeAdapter()` Creates a new adapter for an object of class '`Dictionary Type`'
`Adapter` `createDictLiteralExpAdapter()` Creates a new adapter for an object of class '`Dict Literal Exp`'
`Adapter` `createDictLiteralPartAdapter()` Creates a new adapter for an object of class '`Dict Literal Part`'
`Adapter` `createEClassAdapter()` Creates a new adapter for an object of class '`EClass`'
`Adapter` `createEClassifierAdapter()` Creates a new adapter for an object of class '`EClassifier`'
`Adapter` `createEcore_CallExpAdapter()` Creates a new adapter for an object of class '`Call Exp`'
`Adapter` `createEcore_CollectionTypeAdapter()` Creates a new adapter for an object of class '`Collection Type`'
`Adapter` `createEcore_FeatureCallExpAdapter()` Creates a new adapter for an object of class '`Feature Call Exp`'
`Adapter` `createEcore_LiteralExpAdapter()` Creates a new adapter for an object of class '`Literal Exp`'
`Adapter` `createEcore_LoopExpAdapter()` Creates a new adapter for an object of class '`Loop Exp`'
`Adapter` `createEcore_OCLExpressionAdapter()` Creates a new adapter for an object of class '`OCL Expression`'
`Adapter` `createEcore_OperationCallExpAdapter()` Creates a new adapter for an object of class '`Operation Call Exp`'
`Adapter` `createEDataTypeAdapter()` Creates a new adapter for an object of class '`EData Type`'
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createETypedElementAdapter()` Creates a new adapter for an object of class '`ETyped Element`'
`Adapter` `createFeatureCallExpAdapter()` Creates a new adapter for an object of class '`Feature Call Exp`'
`Adapter` `createForExpAdapter()` Creates a new adapter for an object of class '`For Exp`'
`Adapter` `createImperativeExpressionAdapter()` Creates a new adapter for an object of class '`Imperative Expression`'
`Adapter` `createImperativeIterateExpAdapter()` Creates a new adapter for an object of class '`Imperative Iterate Exp`'
`Adapter` `createImperativeLoopExpAdapter()` Creates a new adapter for an object of class '`Imperative Loop Exp`'
`Adapter` `createInstantiationExpAdapter()` Creates a new adapter for an object of class '`Instantiation Exp`'
`Adapter` `createListLiteralExpAdapter()` Creates a new adapter for an object of class '`List Literal Exp`'
`Adapter` `createListTypeAdapter()` Creates a new adapter for an object of class '`List Type`'
`Adapter` `createLiteralExpAdapter()` Creates a new adapter for an object of class '`Literal Exp`'
`Adapter` `createLogExpAdapter()` Creates a new adapter for an object of class '`Log Exp`'
`Adapter` `createLoopExpAdapter()` Creates a new adapter for an object of class '`Loop Exp`'
`Adapter` `createOCLExpressionAdapter()` Creates a new adapter for an object of class '`OCL Expression`'
`Adapter` `createOperationCallExpAdapter()` Creates a new adapter for an object of class '`Operation Call Exp`'
`Adapter` `createOrderedTupleLiteralExpAdapter()` Creates a new adapter for an object of class '`Ordered Tuple Literal Exp`'
`Adapter` `createOrderedTupleLiteralPartAdapter()` Creates a new adapter for an object of class '`Ordered Tuple Literal Part`'
`Adapter` `createOrderedTupleTypeAdapter()` Creates a new adapter for an object of class '`Ordered Tuple Type`'
`Adapter` `createPredefinedTypeAdapter()` Creates a new adapter for an object of class '`Predefined Type`'
`Adapter` `createRaiseExpAdapter()` Creates a new adapter for an object of class '`Raise Exp`'
`Adapter` `createReturnExpAdapter()` Creates a new adapter for an object of class '`Return Exp`'
`Adapter` `createSwitchExpAdapter()` Creates a new adapter for an object of class '`Switch Exp`'
`Adapter` `createTryExpAdapter()` Creates a new adapter for an object of class '`Try Exp`'
`Adapter` `createTypedASTNodeAdapter()` Creates a new adapter for an object of class '`Typed AST Node`'
`Adapter` `createTypedefAdapter()` Creates a new adapter for an object of class '`Typedef`'
`Adapter` `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'
`Adapter` `createUnlinkExpAdapter()` Creates a new adapter for an object of class '`Unlink Exp`'
`Adapter` `createUnpackExpAdapter()` Creates a new adapter for an object of class '`Unpack Exp`'
`Adapter` `createVariableInitExpAdapter()` Creates a new adapter for an object of class '`Variable Init Exp`'
`Adapter` `createVisitableAdapter()` Creates a new adapter for an object of class '`Visitable`'
`Adapter` `createWhileExpAdapter()` Creates a new adapter for an object of class '`While Exp`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static ImperativeOCLPackage modelPackage

  The cached model package.

### modelSwitch

    protected ImperativeOCLSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### ImperativeOCLAdapterFactory

    public ImperativeOCLAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAltExpAdapter

    public Adapter createAltExpAdapter()

  Creates a new adapter for an object of class '`Alt Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AltExp`

### createAssertExpAdapter

    public Adapter createAssertExpAdapter()

  Creates a new adapter for an object of class '`Assert Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssertExp`

### createAssignExpAdapter

    public Adapter createAssignExpAdapter()

  Creates a new adapter for an object of class '`Assign Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssignExp`

### createBlockExpAdapter

    public Adapter createBlockExpAdapter()

  Creates a new adapter for an object of class '`Block Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BlockExp`

### createBreakExpAdapter

    public Adapter createBreakExpAdapter()

  Creates a new adapter for an object of class '`Break Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BreakExp`

### createCatchExpAdapter

    public Adapter createCatchExpAdapter()

  Creates a new adapter for an object of class '`Catch Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CatchExp`

### createComputeExpAdapter

    public Adapter createComputeExpAdapter()

  Creates a new adapter for an object of class '`Compute Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComputeExp`

### createContinueExpAdapter

    public Adapter createContinueExpAdapter()

  Creates a new adapter for an object of class '`Continue Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ContinueExp`

### createDictLiteralExpAdapter

    public Adapter createDictLiteralExpAdapter()

  Creates a new adapter for an object of class '`Dict Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DictLiteralExp`

### createDictLiteralPartAdapter

    public Adapter createDictLiteralPartAdapter()

  Creates a new adapter for an object of class '`Dict Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DictLiteralPart`

### createDictionaryTypeAdapter

    public Adapter createDictionaryTypeAdapter()

  Creates a new adapter for an object of class '`Dictionary Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DictionaryType`

### createForExpAdapter

    public Adapter createForExpAdapter()

  Creates a new adapter for an object of class '`For Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ForExp`

### createImperativeExpressionAdapter

    public Adapter createImperativeExpressionAdapter()

  Creates a new adapter for an object of class '`Imperative Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ImperativeExpression`

### createImperativeIterateExpAdapter

    public Adapter createImperativeIterateExpAdapter()

  Creates a new adapter for an object of class '`Imperative Iterate Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ImperativeIterateExp`

### createImperativeLoopExpAdapter

    public Adapter createImperativeLoopExpAdapter()

  Creates a new adapter for an object of class '`Imperative Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ImperativeLoopExp`

### createInstantiationExpAdapter

    public Adapter createInstantiationExpAdapter()

  Creates a new adapter for an object of class '`Instantiation Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InstantiationExp`

### createListLiteralExpAdapter

    public Adapter createListLiteralExpAdapter()

  Creates a new adapter for an object of class '`List Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  Since:
    3.0
  See Also:
    `ListLiteralExp`

### createListTypeAdapter

    public Adapter createListTypeAdapter()

  Creates a new adapter for an object of class '`List Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ListType`

### createLogExpAdapter

    public Adapter createLogExpAdapter()

  Creates a new adapter for an object of class '`Log Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LogExp`

### createOrderedTupleLiteralExpAdapter

    public Adapter createOrderedTupleLiteralExpAdapter()

  Creates a new adapter for an object of class '`Ordered Tuple Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedTupleLiteralExp`

### createOrderedTupleLiteralPartAdapter

    public Adapter createOrderedTupleLiteralPartAdapter()

  Creates a new adapter for an object of class '`Ordered Tuple Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedTupleLiteralPart`

### createOrderedTupleTypeAdapter

    public Adapter createOrderedTupleTypeAdapter()

  Creates a new adapter for an object of class '`Ordered Tuple Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedTupleType`

### createRaiseExpAdapter

    public Adapter createRaiseExpAdapter()

  Creates a new adapter for an object of class '`Raise Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RaiseExp`

### createReturnExpAdapter

    public Adapter createReturnExpAdapter()

  Creates a new adapter for an object of class '`Return Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReturnExp`

### createSwitchExpAdapter

    public Adapter createSwitchExpAdapter()

  Creates a new adapter for an object of class '`Switch Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SwitchExp`

### createTryExpAdapter

    public Adapter createTryExpAdapter()

  Creates a new adapter for an object of class '`Try Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TryExp`

### createTypedefAdapter

    public Adapter createTypedefAdapter()

  Creates a new adapter for an object of class '`Typedef`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Typedef`

### createUnlinkExpAdapter

    public Adapter createUnlinkExpAdapter()

  Creates a new adapter for an object of class '`Unlink Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnlinkExp`

### createUnpackExpAdapter

    public Adapter createUnpackExpAdapter()

  Creates a new adapter for an object of class '`Unpack Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnpackExp`

### createVariableInitExpAdapter

    public Adapter createVariableInitExpAdapter()

  Creates a new adapter for an object of class '`Variable Init Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableInitExp`

### createWhileExpAdapter

    public Adapter createWhileExpAdapter()

  Creates a new adapter for an object of class '`While Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `WhileExp`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ENamedElement`

### createETypedElementAdapter

    public Adapter createETypedElementAdapter()

  Creates a new adapter for an object of class '`ETyped Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ETypedElement`

### createTypedElementAdapter

    public Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.utilities.TypedElement`

### createVisitableAdapter

    public Adapter createVisitableAdapter()

  Creates a new adapter for an object of class '`Visitable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.utilities.Visitable`

### createASTNodeAdapter

    public Adapter createASTNodeAdapter()

  Creates a new adapter for an object of class '`AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.utilities.ASTNode`

### createOCLExpressionAdapter

    public Adapter createOCLExpressionAdapter()

  Creates a new adapter for an object of class '`OCL Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.expressions.OCLExpression`

### createEcore_OCLExpressionAdapter

    public Adapter createEcore_OCLExpressionAdapter()

  Creates a new adapter for an object of class '`OCL Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.ecore.OCLExpression`

### createLiteralExpAdapter

    public Adapter createLiteralExpAdapter()

  Creates a new adapter for an object of class '`Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.expressions.LiteralExp`

### createEcore_LiteralExpAdapter

    public Adapter createEcore_LiteralExpAdapter()

  Creates a new adapter for an object of class '`Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.ecore.LiteralExp`

### createEClassifierAdapter

    public Adapter createEClassifierAdapter()

  Creates a new adapter for an object of class '`EClassifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EClassifier`

### createEDataTypeAdapter

    public Adapter createEDataTypeAdapter()

  Creates a new adapter for an object of class '`EData Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EDataType`

### createPredefinedTypeAdapter

    public Adapter createPredefinedTypeAdapter()

  Creates a new adapter for an object of class '`Predefined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.utilities.PredefinedType`

### createTypedASTNodeAdapter

    public Adapter createTypedASTNodeAdapter()

  Creates a new adapter for an object of class '`Typed AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.utilities.TypedASTNode`

### createCollectionTypeAdapter

    public Adapter createCollectionTypeAdapter()

  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.types.CollectionType`

### createEcore_CollectionTypeAdapter

    public Adapter createEcore_CollectionTypeAdapter()

  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.ecore.CollectionType`

### createCallingASTNodeAdapter

    public Adapter createCallingASTNodeAdapter()

  Creates a new adapter for an object of class '`Calling AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.utilities.CallingASTNode`

### createCallExpAdapter

    public Adapter createCallExpAdapter()

  Creates a new adapter for an object of class '`Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.expressions.CallExp`

### createEcore_CallExpAdapter

    public Adapter createEcore_CallExpAdapter()

  Creates a new adapter for an object of class '`Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.ecore.CallExp`

### createLoopExpAdapter

    public Adapter createLoopExpAdapter()

  Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.expressions.LoopExp`

### createEcore_LoopExpAdapter

    public Adapter createEcore_LoopExpAdapter()

  Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.ecore.LoopExp`

### createFeatureCallExpAdapter

    public Adapter createFeatureCallExpAdapter()

  Creates a new adapter for an object of class '`Feature Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.expressions.FeatureCallExp`

### createEcore_FeatureCallExpAdapter

    public Adapter createEcore_FeatureCallExpAdapter()

  Creates a new adapter for an object of class '`Feature Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.ecore.FeatureCallExp`

### createOperationCallExpAdapter

    public Adapter createOperationCallExpAdapter()

  Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.expressions.OperationCallExp`

### createEcore_OperationCallExpAdapter

    public Adapter createEcore_OperationCallExpAdapter()

  Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.ocl.ecore.OperationCallExp`

### createEClassAdapter

    public Adapter createEClassAdapter()

  Creates a new adapter for an object of class '`EClass`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EClass`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.